Bug 737066 - -y does not work with abrt-action-install-debuginfo-to-abrt-cache
-y does not work with abrt-action-install-debuginfo-to-abrt-cache
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Vokal
Fedora Extras Quality Assurance
: Reopened
Depends On: 726192
Blocks: ABRTF18
  Show dependency treegraph
 
Reported: 2011-09-09 09:54 EDT by Nikola Pajkovsky
Modified: 2015-04-27 03:11 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 726192
Environment:
Last Closed: 2015-04-27 03:11:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nikola Pajkovsky 2011-09-09 09:54:22 EDT
--- Additional comment from cmeek@redhat.com on 2011-08-11 14:51:24 EDT ---

While this does appear to fix the issue with passing -y, I am finding now that if I don't pass -y, it doesn't ask me if I want to continue. The verbose output is as follows:

$ echo 67b1a5daf785521a097dd1f29fe9513f60f842f0 | /usr/bin/abrt-action-install-debuginfo-to-abrt-cache -v  --ids=-
abrt-action-trim-files -f 4096m:/var/cache/abrt-di
Coredump references 1 debuginfo files, 1 of them are not installed
enabled repo ['rawhide-debuginfo']
enabled repo ['updates-debuginfo']
enabled repo ['fedora-debuginfo']
enabled repo ['updates-testing-debuginfo']
Looking for needed packages in repositories
Can't find packages for 0 debuginfo files
Packages to download: 1
Downloading 0.20Mb, installed size: 0.87Mb
Is this ok? [y/N] got eof, probably executed from helper, assuming - yes
Downloading (1 of 1) gzip-debuginfo-1.4-3.fc15.x86_64.rpm: 100%
Extracting /tmp/abrt-tmp-debuginfo-2011-08-10-10:18:31.9386/gzip-debuginfo-1.4-3.fc15.x86_64.rpm to /var/cache/abrt-di
Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-08-10-10:18:31.9386/gzip-debuginfo-1.4-3.fc15.x86_64.rpm
cpio written OK
keeprpms = False, removing /tmp/abrt-tmp-debuginfo-2011-08-10-10:18:31.9386/gzip-debuginfo-1.4-3.fc15.x86_64.rpm
Caching files from unpacked.cpio made from gzip-debuginfo-1.4-3.fc15.x86_64.rpm
files extracted OK
Removing /tmp/abrt-tmp-debuginfo-2011-08-10-10:18:31.9386

For some reason it is getting eof when asking whether to continue, causing the download to continue.
Comment 1 Chris Meek 2012-06-19 10:35:00 EDT
I just tried this again on F17 with abrt-2.0.10-4.fc17.x86_64, and now it seems that it isn't even using the -y (or noninteractive) parameter. i.e. if I run the above command without -y, it never asks a question - let alone pause the download. And yet, the usage output still specifies a possible -y option. I was just wondering if this removal of -y handling was intentional, or perhaps a bug.
Comment 2 Fedora End Of Life 2012-08-07 13:30:45 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Frank Ch. Eigler 2012-08-07 17:27:33 EDT
comment #1 indicates problem still present.
Comment 4 Frank Ch. Eigler 2012-08-07 17:28:24 EDT
(In reply to comment #3)
> comment #1 indicates problem still present.

... or at least, the situation with -y is unclear.
Comment 5 Jiri Moskovcak 2012-10-25 09:38:13 EDT
From the code it seems like the -y is being ignored, so it's a bug. But the behaviour should be the same with or without the -y, so the comment#1 is quite surprising.
Comment 6 Frank Ch. Eigler 2012-10-25 14:44:54 EDT
It seems odd for the abrt-action-install-debuginfo-to-abrt-cache program to take build-ids on its stdin, and then later also ask for a confirmation on that same file descriptor (as opposed to, say, /dev/tty).  It seems like there is still a need for -y to suppress the confirmation (e.g. once it's moved over to /dev/tty).
Comment 7 Fedora End Of Life 2013-07-04 01:55:47 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 13:14:40 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Petr Kubat 2013-09-03 07:17:51 EDT
fixed in git: 883b6f37397fbc54ce74711842490c205e7f44f5
Comment 10 Petr Kubat 2013-09-03 07:18:48 EDT
commit 883b6f37397fbc54ce74711842490c205e7f44f5
Author: Petr Kubat <pkubat@redhat.com>
Date:   Mon Sep 2 13:39:49 2013 +0200

    fix noninteractive mode in debuginfo installer - rhbz#737066
    
    Signed-off-by: Petr Kubat <pkubat@redhat.com>
    Signed-off-by: Jiri Moskovcak <jmoskovc@redhat.com>
Comment 13 Jakub Filak 2015-04-27 03:11:11 EDT
Closing per comment #10.

Note You need to log in before you can comment on or make changes to this bug.